
<div class="page">
    <p class="title">
      Sale Transaction
    </p>
    <kendo-grid [kendoGridBinding]="transactions" kendoGridSelectBy="id" [(selectedKeys)]="mySelection" [pageSize]="10"
      [pageable]="true" [sortable]="true" [groupable]="false" [reorderable]="true" [resizable]="true"
      [columnMenu]="{ filter: true }" (edit)="editForm($event)">
      <ng-template kendoGridToolbarTemplate>
        <input [style.width.px]="200" placeholder="Search products in all columns..." kendoTextBox
          (input)="onFilter($event)" />
        <kendo-grid-spacer></kendo-grid-spacer>
        <button mat-raised-button color="primary" (click)="showInvoiceForm(transactionForInvoice)">
          <span class="k-icon k-i-plus-outline"></span>
          Generate Invoice
        </button>
        <button mat-raised-button color="primary" (click)="showForm()">
          <span class="k-icon k-i-plus-outline"></span>
          Add New Sale
        </button>
      </ng-template>
      <kendo-grid-column field="invoiceId" title="Is Invoiced?" [width]="85">
        <ng-template kendoGridCellTemplate let-dataItem>
          <div *ngIf="dataItem.invoiceId != 0">
            <button (click)="showInvoice(dataItem.invoiceId,dataItem.customerId)" > Invoice</button>
          </div>
          <div *ngIf="dataItem.invoiceId == 0">
            <input type="checkbox" (click)="toggle(dataItem)" [checked]="dataItem.isChecked"/>
          </div>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="customerName" title="Customer Name" [width]="220">
        <ng-template kendoGridCellTemplate let-dataItem>
          <div class="product-name">{{ dataItem.customerName }}</div>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="productName" title="Product Name" [width]="220">
      </kendo-grid-column>
      <kendo-grid-column field="rate" title="Rate" [width]="100" [resizable]="false">
      </kendo-grid-column>
      <kendo-grid-column field="quantity" title="Quantity" [width]="100" [resizable]="false">
      </kendo-grid-column>
      <kendo-grid-column field="totalAmount" title="Total Amount" [width]="100" [resizable]="false">
      </kendo-grid-column>
      <kendo-grid-column title="Actions"  [width]="100" [resizable]="false">
        <ng-template kendoGridCellTemplate>
          <button kendoGridEditCommand >Edit</button>
          <!-- more command buttons here -->
      </ng-template>
      </kendo-grid-column> 
    </kendo-grid>
  </div>